#property indicator_chart_window

// Indicator Configuration
double audusd,audcad,audjpy,euraud,gbpaud,audnzd,audchf;
double eurnzd,nzdcad,nzdjpy,nzdchf,nzdusd,gbpnzd,gbpusd,eurgbp,eurusd;
double cadjpy,usdcad,eurcad,gbpcad,cadchf;
double chfjpy,usdchf,eurchf,gbpchf,eurjpy,gbpjpy,usdjpy;

double waudusd,waudcad,waudjpy,weuraud,wgbpaud,waudnzd,waudchf;
double weurnzd,wnzdcad,wnzdjpy,wnzdchf,wnzdusd,wgbpnzd,wgbpusd,weurgbp,weurusd;
double wcadjpy,wusdcad,weurcad,wgbpcad,wcadchf;
double wchfjpy,wusdchf,weurchf,wgbpchf,weurjpy,wgbpjpy,wusdjpy;

double maudusd,maudcad,maudjpy,meuraud,mgbpaud,maudnzd,maudchf;
double meurnzd,mnzdcad,mnzdjpy,mnzdchf,mnzdusd,mgbpnzd,mgbpusd,meurgbp,meurusd;
double mcadjpy,musdcad,meurcad,mgbpcad,mcadchf;
double mchfjpy,musdchf,meurchf,mgbpchf,meurjpy,mgbpjpy,musdjpy;

double gold,silver,oil;
double wgold,wsilver,woil;
double mgold,msilver,moil;

double aud,nzd,cad,chf,jpy,gbp,eur,usd;
double waud,wnzd,wcad,wchf,wjpy,wgbp,weur,wusd;
double maud,mnzd,mcad,mchf,mjpy,mgbp,meur,musd;

// index buffers for drawing
double Idx[],Idx1[],Idx2[],Idx3[],Idx4[],Idx5[],Idx6[],Idx7[];

// currency rates for calculation
double EUR,GBP,AUD,CHF,JPY,NZD,CAD,USD,A1,A2,A3,A4,A5,A6,A7;

// Currency names and colors

// house keeping
string ShortName;
bool ObjectsCreated = false;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   // set up indicator buffers
   
   
   
   return(0);
}

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
   // delete all objects we created
  
  return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{  

   if(iOpen("AUDUSD",1440,0)!=0)audusd=((iClose("AUDUSD",1440,0)-iOpen("AUDUSD",1440,0))/iOpen("AUDUSD",1440,0))*100;
   if(iOpen("AUDCAD",1440,0)!=0)audcad=((iClose("AUDCAD",1440,0)-iOpen("AUDCAD",1440,0))/iOpen("AUDCAD",1440,0))*100;
   if(iOpen("AUDJPY",1440,0)!=0)audjpy=((iClose("AUDJPY",1440,0)-iOpen("AUDJPY",1440,0))/iOpen("AUDJPY",1440,0))*100;
   if(iOpen("EURAUD",1440,0)!=0)euraud=((iClose("EURAUD",1440,0)-iOpen("EURAUD",1440,0))/iOpen("EURAUD",1440,0))*100;
   if(iOpen("GBPAUD",1440,0)!=0)gbpaud=((iClose("GBPAUD",1440,0)-iOpen("GBPAUD",1440,0))/iOpen("GBPAUD",1440,0))*100;
   if(iOpen("AUDNZD",1440,0)!=0)audnzd=((iClose("AUDNZD",1440,0)-iOpen("AUDNZD",1440,0))/iOpen("AUDNZD",1440,0))*100;
   if(iOpen("AUDCHF",1440,0)!=0)audchf=((iClose("AUDCHF",1440,0)-iOpen("AUDCHF",1440,0))/iOpen("AUDCHF",1440,0))*100;
   
   if(iOpen("EURNZD",1440,0)!=0)eurnzd=((iClose("EURNZD",1440,0)-iOpen("EURNZD",1440,0))/iOpen("EURNZD",1440,0))*100;
   if(iOpen("NZDCAD",1440,0)!=0)nzdcad=((iClose("NZDCAD",1440,0)-iOpen("NZDCAD",1440,0))/iOpen("NZDCAD",1440,0))*100;
   if(iOpen("NZDJPY",1440,0)!=0)nzdjpy=((iClose("NZDJPY",1440,0)-iOpen("NZDJPY",1440,0))/iOpen("NZDJPY",1440,0))*100;
   if(iOpen("NZDCHF",1440,0)!=0)nzdchf=((iClose("NZDCHF",1440,0)-iOpen("NZDCHF",1440,0))/iOpen("NZDCHF",1440,0))*100;
   if(iOpen("NZDUSD",1440,0)!=0)nzdusd=((iClose("NZDUSD",1440,0)-iOpen("NZDUSD",1440,0))/iOpen("NZDUSD",1440,0))*100;
   if(iOpen("GBPNZD",1440,0)!=0)gbpnzd=((iClose("GBPNZD",1440,0)-iOpen("GBPNZD",1440,0))/iOpen("GBPNZD",1440,0))*100;
   
   if(iOpen("CADJPY",1440,0)!=0)cadjpy=((iClose("CADJPY",1440,0)-iOpen("CADJPY",1440,0))/iOpen("CADJPY",1440,0))*100;
   if(iOpen("USDCAD",1440,0)!=0)usdcad=((iClose("USDCAD",1440,0)-iOpen("USDCAD",1440,0))/iOpen("USDCAD",1440,0))*100;
   if(iOpen("EURCAD",1440,0)!=0)eurcad=((iClose("EURCAD",1440,0)-iOpen("EURCAD",1440,0))/iOpen("EURCAD",1440,0))*100;
   if(iOpen("GBPCAD",1440,0)!=0)gbpcad=((iClose("GBPCAD",1440,0)-iOpen("GBPCAD",1440,0))/iOpen("GBPCAD",1440,0))*100;
   if(iOpen("CADCHF",1440,0)!=0)cadchf=((iClose("CADCHF",1440,0)-iOpen("CADCHF",1440,0))/iOpen("CADCHF",1440,0))*100;
   
   if(iOpen("CHFJPY",1440,0)!=0)chfjpy=((iClose("CHFJPY",1440,0)-iOpen("CHFJPY",1440,0))/iOpen("CHFJPY",1440,0))*100;
   if(iOpen("USDCHF",1440,0)!=0)usdchf=((iClose("USDCHF",1440,0)-iOpen("USDCHF",1440,0))/iOpen("USDCHF",1440,0))*100;
   if(iOpen("EURCHF",1440,0)!=0)eurchf=((iClose("EURCHF",1440,0)-iOpen("EURCHF",1440,0))/iOpen("EURCHF",1440,0))*100;
   if(iOpen("GBPCHF",1440,0)!=0)gbpchf=((iClose("GBPCHF",1440,0)-iOpen("GBPCHF",1440,0))/iOpen("GBPCHF",1440,0))*100;
   
   if(iOpen("USDJPY",1440,0)!=0)usdjpy=((iClose("USDJPY",1440,0)-iOpen("USDJPY",1440,0))/iOpen("USDJPY",1440,0))*100;
   if(iOpen("EURJPY",1440,0)!=0)eurjpy=((iClose("EURJPY",1440,0)-iOpen("EURJPY",1440,0))/iOpen("EURJPY",1440,0))*100;
   if(iOpen("GBPJPY",1440,0)!=0)gbpjpy=((iClose("GBPJPY",1440,0)-iOpen("GBPJPY",1440,0))/iOpen("GBPJPY",1440,0))*100;
   
   if(iOpen("GBPUSD",1440,0)!=0)gbpusd=((iClose("GBPUSD",1440,0)-iOpen("GBPUSD",1440,0))/iOpen("GBPUSD",1440,0))*100;
   if(iOpen("EURGBP",1440,0)!=0)eurgbp=((iClose("EURGBP",1440,0)-iOpen("EURGBP",1440,0))/iOpen("EURGBP",1440,0))*100;
   if(iOpen("EURUSD",1440,0)!=0)eurusd=((iClose("EURUSD",1440,0)-iOpen("EURUSD",1440,0))/iOpen("EURUSD",1440,0))*100;
   
   //-------------------------
   
   
   if(iOpen("AUDUSD",10080,0)!=0)waudusd=((iClose("AUDUSD",10080,0)-iOpen("AUDUSD",10080,0))/iOpen("AUDUSD",10080,0))*100;
   if(iOpen("AUDCAD",10080,0)!=0)waudcad=((iClose("AUDCAD",10080,0)-iOpen("AUDCAD",10080,0))/iOpen("AUDCAD",10080,0))*100;
   if(iOpen("AUDJPY",10080,0)!=0)waudjpy=((iClose("AUDJPY",10080,0)-iOpen("AUDJPY",10080,0))/iOpen("AUDJPY",10080,0))*100;
   if(iOpen("EURAUD",10080,0)!=0)weuraud=((iClose("EURAUD",10080,0)-iOpen("EURAUD",10080,0))/iOpen("EURAUD",10080,0))*100;
   if(iOpen("GBPAUD",10080,0)!=0)wgbpaud=((iClose("GBPAUD",10080,0)-iOpen("GBPAUD",10080,0))/iOpen("GBPAUD",10080,0))*100;
   if(iOpen("AUDNZD",10080,0)!=0)waudnzd=((iClose("AUDNZD",10080,0)-iOpen("AUDNZD",10080,0))/iOpen("AUDNZD",10080,0))*100;
   if(iOpen("AUDCHF",10080,0)!=0)waudchf=((iClose("AUDCHF",10080,0)-iOpen("AUDCHF",10080,0))/iOpen("AUDCHF",10080,0))*100;
   
   if(iOpen("EURNZD",10080,0)!=0)weurnzd=((iClose("EURNZD",10080,0)-iOpen("EURNZD",10080,0))/iOpen("EURNZD",10080,0))*100;
   if(iOpen("NZDCAD",10080,0)!=0)wnzdcad=((iClose("NZDCAD",10080,0)-iOpen("NZDCAD",10080,0))/iOpen("NZDCAD",10080,0))*100;
   if(iOpen("NZDJPY",10080,0)!=0)wnzdjpy=((iClose("NZDJPY",10080,0)-iOpen("NZDJPY",10080,0))/iOpen("NZDJPY",10080,0))*100;
   if(iOpen("NZDCHF",10080,0)!=0)wnzdchf=((iClose("NZDCHF",10080,0)-iOpen("NZDCHF",10080,0))/iOpen("NZDCHF",10080,0))*100;
   if(iOpen("NZDUSD",10080,0)!=0)wnzdusd=((iClose("NZDUSD",10080,0)-iOpen("NZDUSD",10080,0))/iOpen("NZDUSD",10080,0))*100;
   if(iOpen("GBPNZD",10080,0)!=0)wgbpnzd=((iClose("GBPNZD",10080,0)-iOpen("GBPNZD",10080,0))/iOpen("GBPNZD",10080,0))*100;
   
   if(iOpen("CADJPY",10080,0)!=0)wcadjpy=((iClose("CADJPY",10080,0)-iOpen("CADJPY",10080,0))/iOpen("CADJPY",10080,0))*100;
   if(iOpen("USDCAD",10080,0)!=0)wusdcad=((iClose("USDCAD",10080,0)-iOpen("USDCAD",10080,0))/iOpen("USDCAD",10080,0))*100;
   if(iOpen("EURCAD",10080,0)!=0)weurcad=((iClose("EURCAD",10080,0)-iOpen("EURCAD",10080,0))/iOpen("EURCAD",10080,0))*100;
   if(iOpen("GBPCAD",10080,0)!=0)wgbpcad=((iClose("GBPCAD",10080,0)-iOpen("GBPCAD",10080,0))/iOpen("GBPCAD",10080,0))*100;
   if(iOpen("CADCHF",10080,0)!=0)wcadchf=((iClose("CADCHF",10080,0)-iOpen("CADCHF",10080,0))/iOpen("CADCHF",10080,0))*100;
   
   if(iOpen("CHFJPY",10080,0)!=0)wchfjpy=((iClose("CHFJPY",10080,0)-iOpen("CHFJPY",10080,0))/iOpen("CHFJPY",10080,0))*100;
   if(iOpen("USDCHF",10080,0)!=0)wusdchf=((iClose("USDCHF",10080,0)-iOpen("USDCHF",10080,0))/iOpen("USDCHF",10080,0))*100;
   if(iOpen("EURCHF",10080,0)!=0)weurchf=((iClose("EURCHF",10080,0)-iOpen("EURCHF",10080,0))/iOpen("EURCHF",10080,0))*100;
   if(iOpen("GBPCHF",10080,0)!=0)wgbpchf=((iClose("GBPCHF",10080,0)-iOpen("GBPCHF",10080,0))/iOpen("GBPCHF",10080,0))*100;
   
   if(iOpen("USDJPY",10080,0)!=0)wusdjpy=((iClose("USDJPY",10080,0)-iOpen("USDJPY",10080,0))/iOpen("USDJPY",10080,0))*100;
   if(iOpen("EURJPY",10080,0)!=0)weurjpy=((iClose("EURJPY",10080,0)-iOpen("EURJPY",10080,0))/iOpen("EURJPY",10080,0))*100;
   if(iOpen("GBPJPY",10080,0)!=0)wgbpjpy=((iClose("GBPJPY",10080,0)-iOpen("GBPJPY",10080,0))/iOpen("GBPJPY",10080,0))*100;
   
   if(iOpen("GBPUSD",10080,0)!=0)wgbpusd=((iClose("GBPUSD",10080,0)-iOpen("GBPUSD",10080,0))/iOpen("GBPUSD",10080,0))*100;
   if(iOpen("EURGBP",10080,0)!=0)weurgbp=((iClose("EURGBP",10080,0)-iOpen("EURGBP",10080,0))/iOpen("EURGBP",10080,0))*100;
   if(iOpen("EURUSD",10080,0)!=0)weurusd=((iClose("EURUSD",10080,0)-iOpen("EURUSD",10080,0))/iOpen("EURUSD",10080,0))*100;
   
   //----------------------------
   
   if(iOpen("AUDUSD",43200,0)!=0)maudusd=((iClose("AUDUSD",43200,0)-iOpen("AUDUSD",43200,0))/iOpen("AUDUSD",43200,0))*100;
   if(iOpen("AUDCAD",43200,0)!=0)maudcad=((iClose("AUDCAD",43200,0)-iOpen("AUDCAD",43200,0))/iOpen("AUDCAD",43200,0))*100;
   if(iOpen("AUDJPY",43200,0)!=0)maudjpy=((iClose("AUDJPY",43200,0)-iOpen("AUDJPY",43200,0))/iOpen("AUDJPY",43200,0))*100;
   if(iOpen("EURAUD",43200,0)!=0)meuraud=((iClose("EURAUD",43200,0)-iOpen("EURAUD",43200,0))/iOpen("EURAUD",43200,0))*100;
   if(iOpen("GBPAUD",43200,0)!=0)mgbpaud=((iClose("GBPAUD",43200,0)-iOpen("GBPAUD",43200,0))/iOpen("GBPAUD",43200,0))*100;
   if(iOpen("AUDNZD",43200,0)!=0)maudnzd=((iClose("AUDNZD",43200,0)-iOpen("AUDNZD",43200,0))/iOpen("AUDNZD",43200,0))*100;
   if(iOpen("AUDCHF",43200,0)!=0)maudchf=((iClose("AUDCHF",43200,0)-iOpen("AUDCHF",43200,0))/iOpen("AUDCHF",43200,0))*100;
   
   if(iOpen("EURNZD",43200,0)!=0)meurnzd=((iClose("EURNZD",43200,0)-iOpen("EURNZD",43200,0))/iOpen("EURNZD",43200,0))*100;
   if(iOpen("NZDCAD",43200,0)!=0)mnzdcad=((iClose("NZDCAD",43200,0)-iOpen("NZDCAD",43200,0))/iOpen("NZDCAD",43200,0))*100;
   if(iOpen("NZDJPY",43200,0)!=0)mnzdjpy=((iClose("NZDJPY",43200,0)-iOpen("NZDJPY",43200,0))/iOpen("NZDJPY",43200,0))*100;
   if(iOpen("NZDCHF",43200,0)!=0)mnzdchf=((iClose("NZDCHF",43200,0)-iOpen("NZDCHF",43200,0))/iOpen("NZDCHF",43200,0))*100;
   if(iOpen("NZDUSD",43200,0)!=0)mnzdusd=((iClose("NZDUSD",43200,0)-iOpen("NZDUSD",43200,0))/iOpen("NZDUSD",43200,0))*100;
   if(iOpen("GBPNZD",43200,0)!=0)mgbpnzd=((iClose("GBPNZD",43200,0)-iOpen("GBPNZD",43200,0))/iOpen("GBPNZD",43200,0))*100;
   
   if(iOpen("CADJPY",43200,0)!=0)mcadjpy=((iClose("CADJPY",43200,0)-iOpen("CADJPY",43200,0))/iOpen("CADJPY",43200,0))*100;
   if(iOpen("USDCAD",43200,0)!=0)musdcad=((iClose("USDCAD",43200,0)-iOpen("USDCAD",43200,0))/iOpen("USDCAD",43200,0))*100;
   if(iOpen("EURCAD",43200,0)!=0)meurcad=((iClose("EURCAD",43200,0)-iOpen("EURCAD",43200,0))/iOpen("EURCAD",43200,0))*100;
   if(iOpen("GBPCAD",43200,0)!=0)mgbpcad=((iClose("GBPCAD",43200,0)-iOpen("GBPCAD",43200,0))/iOpen("GBPCAD",43200,0))*100;
   if(iOpen("CADCHF",43200,0)!=0)mcadchf=((iClose("CADCHF",43200,0)-iOpen("CADCHF",43200,0))/iOpen("CADCHF",43200,0))*100;
   
   if(iOpen("CHFJPY",43200,0)!=0)mchfjpy=((iClose("CHFJPY",43200,0)-iOpen("CHFJPY",43200,0))/iOpen("CHFJPY",43200,0))*100;
   if(iOpen("USDCHF",43200,0)!=0)musdchf=((iClose("USDCHF",43200,0)-iOpen("USDCHF",43200,0))/iOpen("USDCHF",43200,0))*100;
   if(iOpen("EURCHF",43200,0)!=0)meurchf=((iClose("EURCHF",43200,0)-iOpen("EURCHF",43200,0))/iOpen("EURCHF",43200,0))*100;
   if(iOpen("GBPCHF",43200,0)!=0)mgbpchf=((iClose("GBPCHF",43200,0)-iOpen("GBPCHF",43200,0))/iOpen("GBPCHF",43200,0))*100;
   
   if(iOpen("USDJPY",43200,0)!=0)musdjpy=((iClose("USDJPY",43200,0)-iOpen("USDJPY",43200,0))/iOpen("USDJPY",43200,0))*100;
   if(iOpen("EURJPY",43200,0)!=0)meurjpy=((iClose("EURJPY",43200,0)-iOpen("EURJPY",43200,0))/iOpen("EURJPY",43200,0))*100;
   if(iOpen("GBPJPY",43200,0)!=0)mgbpjpy=((iClose("GBPJPY",43200,0)-iOpen("GBPJPY",43200,0))/iOpen("GBPJPY",43200,0))*100;
   
   if(iOpen("GBPUSD",43200,0)!=0)mgbpusd=((iClose("GBPUSD",43200,0)-iOpen("GBPUSD",43200,0))/iOpen("GBPUSD",43200,0))*100;
   if(iOpen("EURGBP",43200,0)!=0)meurgbp=((iClose("EURGBP",43200,0)-iOpen("EURGBP",43200,0))/iOpen("EURGBP",43200,0))*100;
   if(iOpen("EURUSD",43200,0)!=0)meurusd=((iClose("EURUSD",43200,0)-iOpen("EURUSD",43200,0))/iOpen("EURUSD",43200,0))*100;
   
   
   aud=(audusd+audcad+audjpy-euraud-gbpaud+audnzd+audchf)/7;
   nzd=(nzdusd+nzdcad+nzdjpy-eurnzd-gbpnzd-audnzd+nzdchf)/7;
   cad=(cadjpy-usdcad-nzdcad-eurcad-gbpcad+cadchf-audcad)/7;
   chf=(chfjpy-usdchf-nzdchf-eurchf-gbpchf-cadchf-audchf)/7;
   jpy=(-1*chfjpy-usdjpy-nzdjpy-eurjpy-gbpjpy-cadjpy-audjpy)/7;
   gbp=(gbpchf+gbpusd+gbpnzd-eurgbp+gbpjpy+gbpcad+gbpaud)/7;
   eur=(eurchf+eurusd+eurgbp+eurusd+eurjpy+eurcad+euraud)/7;
   usd=(-1*eurusd-gbpusd+usdjpy+usdchf+usdcad-nzdusd-audusd)/7;
   
   waud=(waudusd+waudcad+waudjpy-weuraud-wgbpaud+waudnzd+waudchf)/7;
   wnzd=(wnzdusd+wnzdcad+wnzdjpy-weurnzd-wgbpnzd-waudnzd+wnzdchf)/7;
   wcad=(wcadjpy-wusdcad-wnzdcad-weurcad-wgbpcad+wcadchf-waudcad)/7;
   wchf=(wchfjpy-wusdchf-wnzdchf-weurchf-wgbpchf-wcadchf-waudchf)/7;
   wjpy=(-1*wchfjpy-wusdjpy-wnzdjpy-weurjpy-wgbpjpy-wcadjpy-waudjpy)/7;
   wgbp=(wgbpchf+wgbpusd+wgbpnzd-weurgbp+wgbpjpy+wgbpcad+wgbpaud)/7;
   weur=(weurchf+weurusd+weurgbp+weurusd+weurjpy+weurcad+weuraud)/7;
   wusd=(-1*weurusd-wgbpusd+wusdjpy+wusdchf+wusdcad-wnzdusd-waudusd)/7;
   
   maud=(maudusd+maudcad+maudjpy-meuraud-mgbpaud+maudnzd+maudchf)/7;
   mnzd=(mnzdusd+mnzdcad+mnzdjpy-meurnzd-mgbpnzd-maudnzd+mnzdchf)/7;
   mcad=(mcadjpy-musdcad-mnzdcad-meurcad-mgbpcad+mcadchf-maudcad)/7;
   mchf=(mchfjpy-musdchf-mnzdchf-meurchf-mgbpchf-mcadchf-maudchf)/7;
   mjpy=(-1*mchfjpy-musdjpy-mnzdjpy-meurjpy-mgbpjpy-mcadjpy-maudjpy)/7;
   mgbp=(mgbpchf+mgbpusd+mgbpnzd-meurgbp+mgbpjpy+mgbpcad+mgbpaud)/7;
   meur=(meurchf+meurusd+meurgbp+meurusd+meurjpy+meurcad+meuraud)/7;
   musd=(-1*meurusd-mgbpusd+musdjpy+musdchf+musdcad-mnzdusd-maudusd)/7;
   
   if(iOpen("XAUUSD",1440,0)!=0)gold=((iClose("XAUUSD",1440,0)-iOpen("XAUUSD",1440,0))/iOpen("XAUUSD",1440,0))*100;
   if(iOpen("XAGUSD",1440,0)!=0)silver=((iClose("XAGUSD",1440,0)-iOpen("XAGUSD",1440,0))/iOpen("XAGUSD",1440,0))*100;
   if(iOpen("XTIUSD",1440,0)!=0)oil=((iClose("XTIUSD",1440,0)-iOpen("XTIUSD",1440,0))/iOpen("XTIUSD",1440,0))*100;
   
   if(iOpen("XAUUSD",10080,0)!=0)wgold=((iClose("XAUUSD",10080,0)-iOpen("XAUUSD",10080,0))/iOpen("XAUUSD",10080,0))*100;
   if(iOpen("XAGUSD",10080,0)!=0)wsilver=((iClose("XAGUSD",10080,0)-iOpen("XAGUSD",10080,0))/iOpen("XAGUSD",10080,0))*100;
   if(iOpen("XTIUSD",10080,0)!=0)woil=((iClose("XTIUSD",10080,0)-iOpen("XTIUSD",10080,0))/iOpen("XTIUSD",10080,0))*100;
   
   if(iOpen("XAUUSD",43200,0)!=0)mgold=((iClose("XAUUSD",43200,0)-iOpen("XAUUSD",43200,0))/iOpen("XAUUSD",43200,0))*100;
   if(iOpen("XAGUSD",43200,0)!=0)msilver=((iClose("XAGUSD",43200,0)-iOpen("XAGUSD",43200,0))/iOpen("XAGUSD",43200,0))*100;
   if(iOpen("XTIUSD",43200,0)!=0)moil=((iClose("XTIUSD",43200,0)-iOpen("XTIUSD",43200,0))/iOpen("XTIUSD",43200,0))*100;
   
   Comment(
   "\n AUD : "+DoubleToString(NormalizeDouble(aud,1),1)+", "+DoubleToString(NormalizeDouble(waud,1),1)+", "+DoubleToString(NormalizeDouble(maud,1),1)
   +"\n NZD : "+DoubleToString(NormalizeDouble(nzd,1),1)+", "+DoubleToString(NormalizeDouble(wnzd,1),1)+", "+DoubleToString(NormalizeDouble(mnzd,1),1)
   +"\n CAD : "+DoubleToString(NormalizeDouble(cad,1),1)+", "+DoubleToString(NormalizeDouble(wcad,1),1)+", "+DoubleToString(NormalizeDouble(mcad,1),1)
   +"\n\n USD : "+DoubleToString(NormalizeDouble(usd,1),1)+", "+DoubleToString(NormalizeDouble(wusd,1),1)+", "+DoubleToString(NormalizeDouble(musd,1),1)
   +"\n JPY : "+DoubleToString(NormalizeDouble(jpy,1),1)+", "+DoubleToString(NormalizeDouble(wjpy,1),1)+", "+DoubleToString(NormalizeDouble(mjpy,1),1)
   +"\n\n GBP : "+DoubleToString(NormalizeDouble(gbp,1),1)+", "+DoubleToString(NormalizeDouble(wgbp,1),1)+", "+DoubleToString(NormalizeDouble(mgbp,1),1)
   +"\n EUR : "+DoubleToString(NormalizeDouble(eur,1),1)+", "+DoubleToString(NormalizeDouble(weur,1),1)+", "+DoubleToString(NormalizeDouble(meur,1),1)
   +"\n CHF : "+DoubleToString(NormalizeDouble(chf,1),1)+", "+DoubleToString(NormalizeDouble(wchf,1),1)+", "+DoubleToString(NormalizeDouble(mchf,1),1)
   +"\n\n GOLD : "+DoubleToString(NormalizeDouble(gold,1),1)+", "+DoubleToString(NormalizeDouble(wgold,1),1)+", "+DoubleToString(NormalizeDouble(mgold,1),1)
   +"\n SILVER : "+DoubleToString(NormalizeDouble(silver,1),1)+", "+DoubleToString(NormalizeDouble(wsilver,1),1)+", "+DoubleToString(NormalizeDouble(msilver,1),1)
   +"\n\n OIL : "+DoubleToString(NormalizeDouble(oil,1),1)+", "+DoubleToString(NormalizeDouble(woil,1),1)+", "+DoubleToString(NormalizeDouble(moil,1),1)
   +"\n\n AUDCAD : "+DoubleToString(NormalizeDouble(audcad,1),1)+", "+DoubleToString(NormalizeDouble(waudcad,1),1)+", "+DoubleToString(NormalizeDouble(maudcad,1),1)
   +"\n AUDCHF : "+DoubleToString(NormalizeDouble(audchf,1),1)+", "+DoubleToString(NormalizeDouble(waudchf,1),1)+", "+DoubleToString(NormalizeDouble(maudchf,1),1)
   +"\n AUDJPY : "+DoubleToString(NormalizeDouble(audjpy,1),1)+", "+DoubleToString(NormalizeDouble(waudjpy,1),1)+", "+DoubleToString(NormalizeDouble(maudjpy,1),1)
   +"\n AUDNZD : "+DoubleToString(NormalizeDouble(audnzd,1),1)+", "+DoubleToString(NormalizeDouble(waudnzd,1),1)+", "+DoubleToString(NormalizeDouble(maudnzd,1),1)
   +"\n AUDUSD : "+DoubleToString(NormalizeDouble(audusd,1),1)+", "+DoubleToString(NormalizeDouble(waudusd,1),1)+", "+DoubleToString(NormalizeDouble(maudusd,1),1)
   +"\n CADCHF : "+DoubleToString(NormalizeDouble(cadchf,1),1)+", "+DoubleToString(NormalizeDouble(wcadchf,1),1)+", "+DoubleToString(NormalizeDouble(mcadchf,1),1)
   +"\n CADJPY : "+DoubleToString(NormalizeDouble(cadjpy,1),1)+", "+DoubleToString(NormalizeDouble(wcadjpy,1),1)+", "+DoubleToString(NormalizeDouble(mcadjpy,1),1)
   +"\n CHFJPY : "+DoubleToString(NormalizeDouble(chfjpy,1),1)+", "+DoubleToString(NormalizeDouble(wchfjpy,1),1)+", "+DoubleToString(NormalizeDouble(mchfjpy,1),1)
   +"\n EURAUD : "+DoubleToString(NormalizeDouble(euraud,1),1)+", "+DoubleToString(NormalizeDouble(weuraud,1),1)+", "+DoubleToString(NormalizeDouble(meuraud,1),1)
   +"\n EURCAD : "+DoubleToString(NormalizeDouble(eurcad,1),1)+", "+DoubleToString(NormalizeDouble(weurcad,1),1)+", "+DoubleToString(NormalizeDouble(meurcad,1),1)
   +"\n EURCHF : "+DoubleToString(NormalizeDouble(eurchf,1),1)+", "+DoubleToString(NormalizeDouble(weurchf,1),1)+", "+DoubleToString(NormalizeDouble(meurchf,1),1)
   +"\n EURGBP : "+DoubleToString(NormalizeDouble(eurgbp,1),1)+", "+DoubleToString(NormalizeDouble(weurgbp,1),1)+", "+DoubleToString(NormalizeDouble(meurgbp,1),1)
   +"\n EURNZD : "+DoubleToString(NormalizeDouble(eurnzd,1),1)+", "+DoubleToString(NormalizeDouble(weurnzd,1),1)+", "+DoubleToString(NormalizeDouble(meurnzd,1),1)
   +"\n EURJPY : "+DoubleToString(NormalizeDouble(eurjpy,1),1)+", "+DoubleToString(NormalizeDouble(weurjpy,1),1)+", "+DoubleToString(NormalizeDouble(meurjpy,1),1)
   +"\n EURUSD : "+DoubleToString(NormalizeDouble(eurusd,1),1)+", "+DoubleToString(NormalizeDouble(weurusd,1),1)+", "+DoubleToString(NormalizeDouble(meurusd,1),1)
   +"\n GBPAUD : "+DoubleToString(NormalizeDouble(gbpaud,1),1)+", "+DoubleToString(NormalizeDouble(wgbpaud,1),1)+", "+DoubleToString(NormalizeDouble(mgbpaud,1),1)
   +"\n GBPCAD : "+DoubleToString(NormalizeDouble(gbpcad,1),1)+", "+DoubleToString(NormalizeDouble(wgbpcad,1),1)+", "+DoubleToString(NormalizeDouble(mgbpcad,1),1)
   +"\n GBPCHF : "+DoubleToString(NormalizeDouble(gbpchf,1),1)+", "+DoubleToString(NormalizeDouble(wgbpchf,1),1)+", "+DoubleToString(NormalizeDouble(mgbpchf,1),1)
   +"\n GBPJPY : "+DoubleToString(NormalizeDouble(gbpjpy,1),1)+", "+DoubleToString(NormalizeDouble(wgbpjpy,1),1)+", "+DoubleToString(NormalizeDouble(mgbpjpy,1),1)
   +"\n GBPNZD : "+DoubleToString(NormalizeDouble(gbpnzd,1),1)+", "+DoubleToString(NormalizeDouble(wgbpnzd,1),1)+", "+DoubleToString(NormalizeDouble(mgbpnzd,1),1)
   +"\n GBPUSD : "+DoubleToString(NormalizeDouble(gbpusd,1),1)+", "+DoubleToString(NormalizeDouble(wgbpusd,1),1)+", "+DoubleToString(NormalizeDouble(mgbpusd,1),1)
   +"\n NZDCAD : "+DoubleToString(NormalizeDouble(nzdcad,1),1)+", "+DoubleToString(NormalizeDouble(wnzdcad,1),1)+", "+DoubleToString(NormalizeDouble(mnzdcad,1),1)
   +"\n NZDCHF : "+DoubleToString(NormalizeDouble(nzdchf,1),1)+", "+DoubleToString(NormalizeDouble(wnzdchf,1),1)+", "+DoubleToString(NormalizeDouble(mnzdchf,1),1)
   +"\n NZDJPY : "+DoubleToString(NormalizeDouble(nzdjpy,1),1)+", "+DoubleToString(NormalizeDouble(wnzdjpy,1),1)+", "+DoubleToString(NormalizeDouble(mnzdjpy,1),1)
   +"\n NZDUSD : "+DoubleToString(NormalizeDouble(nzdusd,1),1)+", "+DoubleToString(NormalizeDouble(wnzdusd,1),1)+", "+DoubleToString(NormalizeDouble(mnzdusd,1),1)
   +"\n USDCAD : "+DoubleToString(NormalizeDouble(usdcad,1),1)+", "+DoubleToString(NormalizeDouble(wusdcad,1),1)+", "+DoubleToString(NormalizeDouble(musdcad,1),1)
   +"\n USDCHF : "+DoubleToString(NormalizeDouble(usdchf,1),1)+", "+DoubleToString(NormalizeDouble(wusdchf,1),1)+", "+DoubleToString(NormalizeDouble(musdchf,1),1)
   +"\n USDJPY : "+DoubleToString(NormalizeDouble(usdjpy,1),1)+", "+DoubleToString(NormalizeDouble(wusdjpy,1),1)+", "+DoubleToString(NormalizeDouble(musdjpy,1),1)
   );

   return(0);
}
//+------------------------------------------------------------------+ 
